/* Copyright (C) 2001-2003 Peter Selinger.
   This file is part of potrace. It is free software and it is covered
   by the GNU general public license. See the file COPYING for details. */

/* $Id: gauss.h,v 1.3 2003/08/10 23:02:48 selinger Exp $ */

#ifndef GAUSS_H
#define GAUSS_H

/* Dumb Gaussian elimination to solve matrix equation A*x=b.
   Destructively manipulates A and b. Not very efficient. Ap must
   point to an object of type double[n][n]. Returns 0 if the matrix
   was non-singular, 1 if it was singular and the solution was not
   unique, and -1 if it was singular and there was no solution. */

int solve(int n, void *Ap, double b[], double x[]);

#endif /* GAUSS_H */

